/* Header */
.main-header {
  margin: 0;
  border-bottom-color: rgba(221, 153, 51, 0.09);
  box-shadow:
    0 0 5px rgba(0, 0, 0, 0.2),
    0 1px 0 rgba(255, 255, 255, 0.15);
  transition:
    transform 0.35s ease-in-out,
    height 0.25s ease-in-out,
    background-color 0.45s ease-in-out;

  position: sticky;
  z-index: 1000;
}

.main-header-inner {
  display: flex;
  padding: 0 20px;
  align-items: center;
  justify-content: space-between;
  max-width: 1200px;
  margin: auto;
}

.logo {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  padding: 20px;
}

.site-logo {
  display: inline-flex; /* imagen + texto en línea */
  align-items: center; /* los centra verticalmente */
  gap: 0.5rem; /* separación entre logo y nombre */
  text-decoration: none; /* quita subrayado del enlace */
  color: inherit; /* hereda color de texto */
}

.site-logo img {
  height: 40px; /* ajusta el tamaño del logo */
  width: auto;
  display: block; /* evita hueco por línea base */
}

.site-name {
  font-family: Lobster, cursive;
  color: var(--color-primary);
  font-size: 2rem;
  font-weight: 600;
  line-height: 1; /* evita que se vea desalineado */
}

/* Footer ------------------------------------------------------------------------------------------- */

.footer {
  background: #313131;
  padding: 0;
  font-family: sans-serif;
  color: #aaa;
  font-size: 0.8rem;
}

.footer a {
  color: #aaa;
}

.footer a.btn-base {
  color: #fff;
}

.footer .social-icon {
  margin: auto 4px;
}
